#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	shared-mime-info
Version		:	2.1
Release		:	14.4.0.0%{?dist}
Summary		:	Shared MIME information database
Group		:	System Environment/Base

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://people.freedesktop.org/~hadess/

Source0		:	%{name}-%{version}.tar.gz
Patch0		:	%{name}-%{version}-meson_0.60_fix-1.patch

#-----------------------------------------------------------------------------
BuildRequires	:	intltool
BuildRequires	:	itstool
#-----------------------------------------------------------------------------
%description
This is the freedesktop.org shared MIME info database.

Many programs and desktops use the MIME system to represent the types of
files. Frequently, it is necessary to work out the correct MIME type for
a file. This is generally done by examining the file's name or contents,
and looking up the correct MIME type in a database.

#-----------------------------------------------------------------------------
%prep
%setup -q
%patch0 -p1

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} build
pushd build

meson							\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--libdir=%{_libdir}				\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--buildtype=release				\
	-D update-mimedb=false				\
	..

ninja

popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

pushd build

DESTDIR=%{buildroot}					\
ninja							\
	install

popd
## remove bogus translation files
## translations are already in the xml file installed
%{__rm} -rf %{buildroot}%{_datadir}/locale/*

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING README.md NEWS
%{_bindir}/update-mime-database
%{_datadir}/pkgconfig/%{name}.pc
%{_datadir}/mime/*/*.xml
%{_datadir}/gettext/its/shared-mime-info.its
%{_datadir}/gettext/its/shared-mime-info.loc
%{_mandir}/man1/*.1.gz


#-----------------------------------------------------------------------------
%posttrans
%{_bindir}/update-mime-database -n %{_datadir}/mime

#-----------------------------------------------------------------------------
%changelog
